Author Topic: Compiling the module sdk (g++)  (Read 646 times)

Ankris

  • Full Member
  • ***
  • Posts: 110
  • Karma: +29/-44
    • View Profile
Compiling the module sdk (g++)
« on: August 22, 2016, 07:56:40 pm »
(g++)

Since the 0.1.0.17 LU version when I try to load the modules (compiled with -fPIC because is required) returns false always.

Makefile:
Code: [Select]
SDK_objs = SQMain.o SQFuncs.o

CXX = g++-4.8 -fPIC -Werror
CXXFLAGS = -O2 -DNDEBUG -I. -I ../../common/RakNet/ -I ../../common/
all: LUPlus.so clean

default: all

LUPlus.so: $(SDK_objs)
$(CXX) -o $@ $(SDK_objs) -shared -s

SQMain.o: SQMain.cpp SQMain.h SQFuncs.h
$(CXX) $(CXXFLAGS) -c SQMain.cpp -o $@

SQFuncs.o: SQFuncs.cpp SQFuncs.h
$(CXX) $(CXXFLAGS) -c SQFuncs.cpp -o $@

clean:
rm -f $(SDK_objs)
« Last Edit: August 27, 2016, 05:24:18 pm by Ankris »

Ankris

  • Full Member
  • ***
  • Posts: 110
  • Karma: +29/-44
    • View Profile
Re: Compiling the module sdk (g++)
« Reply #1 on: August 24, 2016, 07:22:27 pm »
bump.

SugarD

  • Argonath RPG Dev/Manager
  • Tester
  • Sr. Member
  • ****
  • Posts: 817
  • Karma: +37/-74
  • STOP IN THE NAME OF THE COLESLAW!
    • View Profile
    • Clan Xperience
Re: Compiling the module sdk (g++)
« Reply #2 on: September 16, 2016, 06:08:41 pm »
Make sure your report this on the bug tracker.

 

© Liberty Unleashed Team.